Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.schemamatching
Class MmSchemaMatcher

    java.lang.Object
      edu.udo.cs.miningmart.schemamatching.MmSchemaMatcher

Direct Known Subclasses:
  StringBasedSchemaMatcher

public abstract class MmSchemaMatcher
extends java.lang.Object

Abstract superclass of schema matching methods in the MiningMart environment. Whenever a concrete subclass of this subclass is implemented, you can add a name representing its matcher to the String array edu.udo.cs.miningmart.m4.M4Interface.AVAILABLE_MATCHERS, and add a call to an instantiation of that class to the method edu.udo.cs.miningmart.m4.core.M4InterfaceImpl.findConnection(...) at the place indicated there. Then the matcher implemented by your subclass is automatically available in the GUI.

Version:
  $Id: MmSchemaMatcher.java,v 1.9 2006/04/11 14:10:17 euler Exp $
Author:
  Timm Euler

Constructor Summary
`MmSchemaMatcher()`

Method Summary
`abstract double` | `getDirectSimilarity(BaseAttribute ba1, BaseAttribute ba2)` Returns the double value that this matcher considers as the similarity between ba1 and ba2, based only on information related to these BaseAttributes.
`abstract double` | `getDirectSimilarity(Concept con1, Concept con2)` Returns the double value that this matcher considers as the similarity between con1 and con2, based only on the information in these concepts but not on dependent attributes (like BaseAttributes).
`double` | `getSimilarity(Concept con1, Concept con2)` Returns the global (overall) similarity of the two Concepts, considering any indirect or direct attributes, for example their Features.
`abstract double` | `getSimilarityInvolvingConcepts(BaseAttribute ba1, BaseAttribute ba2)` Returns the double value that this matcher considers as the similarity between ba1 and ba2, taking the similarity of their respective concepts into accounts as well.
`MatchingResult[][]` | `getSimilarityMatrix(Concept con1, Concept con2)` Returns a matrix (instance of class edu.udo.miningmart.schemamatching.MatchingResult) of n x m Dimension, where n and m are the number of features of each of the given concepts.
`double` | `getThresholdForComparingAttributes()`
`double` | `getThresholdForComparingConcepts()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MmSchemaMatcher

    public MmSchemaMatcher()

Method Detail

### getThresholdForComparingAttributes

    public double getThresholdForComparingAttributes()

  Returns:
    Returns the thresholdForComparingAttribs.

### getThresholdForComparingConcepts

    public double getThresholdForComparingConcepts()

  Returns:
    Returns the thresholdForComparingConcepts.

### getDirectSimilarity

    public abstract double getDirectSimilarity(BaseAttribute ba1,
                                               BaseAttribute ba2)
                                        throws SchemaMatchException

  Returns the double value that this matcher considers as the similarity between ba1 and ba2, based only on information related to these BaseAttributes.

  Parameters:
    `ba1` - One BaseAttribute
    `ba2` - Another BaseAttribute
  Returns:
    a similarity value
  Throws:
    `SchemaMatchException`

### getDirectSimilarity

    public abstract double getDirectSimilarity(Concept con1,
                                               Concept con2)
                                        throws SchemaMatchException

  Returns the double value that this matcher considers as the similarity between con1 and con2, based only on the information in these concepts but not on dependent attributes (like BaseAttributes).

  Parameters:
    `con1` - One Concept
    `con2` - Another Concept
  Returns:
    a similarity value
  Throws:
    `SchemaMatchException`

### getSimilarityInvolvingConcepts

    public abstract double getSimilarityInvolvingConcepts(BaseAttribute ba1,
                                                          BaseAttribute ba2)
                                                   throws SchemaMatchException

  Returns the double value that this matcher considers as the similarity between ba1 and ba2, taking the similarity of their respective concepts into accounts as well.

  Parameters:
    `ba1` - One BaseAttribute
    `ba2` - Another BaseAttribute
  Returns:
    a similarity value
  Throws:
    `SchemaMatchException`

### getSimilarity

    public double getSimilarity(Concept con1,
                                Concept con2)
                         throws SchemaMatchException

  Returns the global (overall) similarity of the two Concepts, considering any indirect or direct attributes, for example their Features.

  Parameters:
    `con1` - A concept
    `con2` - Another concept
  Returns:
    a similarity value
  Throws:
    `SchemaMatchException`

### getSimilarityMatrix

    public MatchingResult[][] getSimilarityMatrix(Concept con1,
                                                  Concept con2)
                                           throws SchemaMatchException

  Returns a matrix (instance of class edu.udo.miningmart.schemamatching.MatchingResult) of n x m Dimension, where n and m are the number of features of each of the given concepts. An entry of the matrix represents the direct similarity that this matcher gives comparing the first concept's feature to the second concept's feature.

  Parameters:
    `con1` - A concept
    `con2` - Another concept
  Returns:
    An two-dimensional array of `MatchingResult`s (direct similarity matrix)
  Throws:
    `SchemaMatchException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005